otpclient-cli(1)

NAME
OTPClient-CLI - command-line for OTPClient

SYNOPSIS
otpclient-cli [OPTIONS]

DESCRIPTION
OTPClient-CLI is simplified version of OTPClient.

OPTIONS
Help Options:

    -h, --help
        Show help options.

    --help-all
        Show all help options.

    --help-gapplication
        Show GApplication options.

GApplication Options:

    --gapplication-service
        Enter GApplication service mode (use from D-Bus service files)

Application Options:

    -d, --database
        (optional) path to the database. Default value is taken from otpclient.cfg

    -s, --show
        Show a token for a given account.

    -a, --account
        Account name (to be used with --show, mandatory)

    -i, --issuer
        Issuer (to be used with --show, optional)

    -m, --match-exact
        Match exactly the provided account/issuer (to be used with --show, optional)

    -n, --show-next
        Show also next OTP (to be used with --show, optional)

    -l, --list
        List all accounts and issuers for a given database.

    --import
        Import a database.

    --export
        Export a database.

    -t, --type
        The import/export type for the database (to be used with --import/--export, mandatory). Must be either one of: andotp_plain, andotp_encrypted, aegis_plain, aegis_encrypted, authpro_plain, authpro_encrypted, twofas_plain, twofas_encrypted, freeotpplus_plain

    -f, --file
        File to import (to be used with --import, mandatory).

    -o, --output-dir
        The output directory (defaults to the user's home. To be used with --export, optional)

    -v, --version
        Show the program version.

USAGE
otpclient-cli [option 1] [option 2] ...

NOTES
For other information and tutorials, see:

•   https://github.com/paolostivanin/OTPClient/wiki

AUTHOR
OTPClient-CLI was written by Paolo Stivanin.

This manual page was written by Francisco Vilmar Cardoso Ruviaro for the Debian project (but may be used by others).